Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.applet
Class AppletInfo

    java.lang.Object
      |
      +--opencard.opt.applet.AppletInfo

Direct Known Subclasses:
  EMVAppletInfo

public class AppletInfo
extends java.lang.Object

The `AppletInfo` encapsulates the descriptive information about an applet stored on a smart card (e.g. security Domain or AppletID).

AppletInfo is a generic class which is card type independent. It can be subclassed to add more specific informations which are specific for a card type (e.g. for JavaCard or EMV compliant card).

Since:
  OCF1.2

Field Summary
`protected AppletID` | `aid` Applet ID
`protected java.lang.Object` | `data` Free data
`protected SecurityDomain` | `domain` Security Domain (e.g.
`protected java.lang.String` | `label` Applet label

Constructor Summary
`AppletInfo()` Creates a new AppletInfo instance.

Method Summary
`AppletID` | `getAppletID()` Get the applet identifier (AppletID).
`java.lang.Object` | `getData()` Get the applet data.
`SecurityDomain` | `getDomain()` Get the applet security domain
`java.lang.String` | `getLabel()` Get the applet label.
`void` | `setAppletID(AppletID _aid)` Set the applet identifier (AppletID).
`void` | `setData(java.lang.Object _data)` Set the applet data.
`void` | `setDomain(SecurityDomain _domain)` Set the applet security domain
`void` | `setLabel(java.lang.String _label)` Set the applet label.
`java.lang.String` | `toString()` Return the applet information as a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### label

    protected java.lang.String label

  Applet label

### aid

    protected AppletID aid

  Applet ID

### domain

    protected SecurityDomain domain

  Security Domain (e.g. Applet Path on ISO cards or applets on JavaCards)

### data

    protected java.lang.Object data

  Free data

Constructor Detail

### AppletInfo

    public AppletInfo()

  Creates a new AppletInfo instance.

Method Detail

### getAppletID

    public AppletID getAppletID()

  Get the applet identifier (AppletID).

  Returns:
    An Applet ID.

### getData

    public java.lang.Object getData()

  Get the applet data.

  Returns:
    A data object related to the applet.

### getDomain

    public SecurityDomain getDomain()

  Get the applet security domain

  Returns:
    A SecurityDomain

### getLabel

    public java.lang.String getLabel()

  Get the applet label.

  Returns:
    A label string describing the applet.

### setAppletID

    public void setAppletID(AppletID _aid)

  Set the applet identifier (AppletID).

  Parameters:
    `An` - Applet ID.

### setData

    public void setData(java.lang.Object _data)

  Set the applet data.

### setDomain

    public void setDomain(SecurityDomain _domain)

  Set the applet security domain

  Parameters:
    `A` - SecurityDomain

### setLabel

    public void setLabel(java.lang.String _label)

  Set the applet label.

### toString

    public java.lang.String toString()

  Return the applet information as a string.
  Returns:
    The AppletInfo as a string.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD